Subject: Re: bug#21477: 24.4; Imenu - improper parse of shell function names

From: Stefan Kangas <[email-masked]>
Date: Thu, 20 Aug 2020 11:41:25 -0700

"Matthew Persico (BLOOMBERG/ 919 3RD A)" <[email-masked]>
writes:

> I am not sure what is going on here, but I just loaded up this file
> and it parsed just fine.

Which version of Emacs are you using (M-x emacs-version), and could you
show an example of the code where you see the function name highlighted?

> Stefan, it's been a while - can you send me a link to my original bug report?

https://debbugs.gnu.org/cgi/bugreport.cgi?bug=21477

> Right.  Well, then adding syntax highlighting here would in a way
> encourage people to write non-POSIX conformant shell code, which even if
> it happens to work in Bash sounds like a bad idea.
>
> So I'm leaning towards closing this bug report as wontfix.
>
> Any other opinions?

I'm still undecided on this point, so other opinions would be welcome.

Perhaps this is something we should support optionally only, so we don't
help unsuspecting users shoot themselves in the foot.

Best regards,
Stefan Kangas